%define major 1
%define libname %mklibname cdio-paranoia %{major}
%define libnamedev %mklibname -d cdio-paranoia
%define pkgver 10.2
%define filerel 0.90+1
%define relver %(echo %filerel|sed -e 's/\\+/\./')

Name: libcdio-paranoia
Version: %{pkgver}.%{relver}
Release: %mkrel 4
License: GPLv2+
Group: System/Libraries
URL: http://www.gnu.org/software/libcdio/
Source: ftp://ftp.gnu.org/pub/gnu/libcdio/%{name}-%{pkgver}+%{filerel}.tar.bz2
Summary: CD-ROM reading library
BuildRequires: pkgconfig(libcdio) >= 0.83
Conflicts: libcdio-apps < 0.90

%description 
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from the
CDROM directly as data, with no analog step between, and writes the
data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%package -n %{libname}
Summary: Libraries from %{name}
Group: System/Libraries
License: LGPLv2+
Obsoletes: %{_lib}cdio_cdda1 < 0.90

%description -n %{libname}
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from the
CDROM directly as data, with no analog step between, and writes the
data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

%package -n %{libnamedev}
Summary: Devel files from %{name}
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Conflicts: %{_lib}cdio-devel < 0.90

%description -n %{libnamedev}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%prep
%setup -qn %{name}-%{pkgver}+%{filerel}
# fix pkgconfig files
sed -i -e 's,-I${includedir},-I${includedir}/cdio,g' libcdio_paranoia.pc.in
sed -i -e 's,-I${includedir},-I${includedir}/cdio,g' libcdio_cdda.pc.in

%build
%configure2_5x --without-versioned-libs \
	--disable-dependency-tracking --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

mv %{buildroot}%{_mandir}/jp %{buildroot}%{_mandir}/ja

# copy include files to an additional directory for backward compatibility
# this is where most software still expects those files
cp -a %{buildroot}%{_includedir}/cdio/paranoia/*.h %{buildroot}%{_includedir}/cdio/

%files
%{_bindir}/cd-paranoia
%{_mandir}/man1/cd-paranoia.1.*
%lang(ja) %{_mandir}/ja/man1/cd-paranoia.1.*

%files -n %{libname}
%{_libdir}/libcdio_cdda.so.%{major}
%{_libdir}/libcdio_cdda.so.%{major}.*
%{_libdir}/libcdio_paranoia.so.%{major}
%{_libdir}/libcdio_paranoia.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/cdio/*.h
%{_includedir}/cdio/paranoia
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 10.2.0.90.1-4.mga4
+ Revision: 533582
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 10.2.0.90.1-3.mga4
+ Revision: 473953
- update file list
- cp include files for backward compatibility

* Sun Sep 01 2013 fwang <fwang> 10.2.0.90.1-2.mga4
+ Revision: 473948
- fix includedir

* Sun Sep 01 2013 fwang <fwang> 10.2.0.90.1-1.mga4
+ Revision: 473873
- update file list
- imported package libcdio-paranoia

